Bug 2913 - AC_C_CONST check doesn't work with -Wall -Werror flags enabled
: AC_C_CONST check doesn't work with -Wall -Werror flags enabled
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/autoconf_2.5)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-31 22:55 by
Modified: 2004-03-25 15:21 (History)


Attachments
патч для AC_C_CONST (1.11 KB, patch)
2003-08-31 23:47, Alexey Voinov
no flags Details | Diff
патч для AC_CHECK_DECLS (384 bytes, patch)
2003-09-01 00:24, Alexey Voinov
no flags Details | Diff
патч для AC_HEADER_STDC (450 bytes, patch)
2003-09-01 00:26, Alexey Voinov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-31 22:55:43
$ CFLAGS="-O2 -g -Werror" ./configure
...
checking for an ANSI C-conforming const... no
...
$ cat config.log
...
It was created by wdm configure 1.25, which was
generated by GNU Autoconf 2.57.  Invocation command line was

  $ ./configure
...
configure:3434: checking for an ANSI C-conforming const
configure:3502: gcc -c -O2 -g -Wall -Werror  conftest.c >&5
cc1: warnings being treated as errors
configure: In function `main':
configure:3492: warning: unused variable `s'
configure:3512: warning: unused variable `foo'
configure:3473: warning: unused variable `x'
configure:3479: warning: unused variable `zero'
configure:3505: $? = 1
configure: failed program was:
...
------- Comment #1 From 2003-08-31 23:11:17 -------
на самом деле в autoconf всё совсем запущено :(
большинство тестов с -Wall -Werror не работают.
Я по мере своих сил попробую поисправлять,
но моих сил может и не хватить.
------- Comment #2 From 2003-08-31 23:47:56 -------
Created an attachment (id=270) [details]
патч для AC_C_CONST

этот патч исправляет один тест. у меня аналогичная проблема
обнаружилась ещё на двух тестах: AC_HEADER_STDC и AC_CHECK_DECLS.
Наверняка есть и ещё, но я пока не вижу.
------- Comment #3 From 2003-09-01 00:24:21 -------
Created an attachment (id=271) [details]
патч для AC_CHECK_DECLS
------- Comment #4 From 2003-09-01 00:26:30 -------
Created an attachment (id=272) [details]
патч для AC_HEADER_STDC
------- Comment #5 From 2003-10-17 16:12:49 -------
Applied in 2.57-alt2